-   Debian (
-   -   Problem with wheezy/Sid PXE installation (

matiasar 03-20-2012 01:47 PM

Problem with wheezy/Sid PXE installation
I'm setting a PXE boot environment in order to easily install the distro that I more frequently use. My goal is create a menu and then select which version of Debian install.

I set up a PXE booting environment following this procedure:

I created directories tree for:

squeeze, lenny, wheezy and sid.
Wrote the menu, etc.
Installation goes just fine with Squeeze and Lenny.
But if I tried booting both wheezy or sid the installer doesn't detect the hard disk. I'm running test from and old box (P. III whit p-ata hard disk).

For wheezy I got linux image and initrd from here:
I tried the same procedure with a Virtualbox VM, booting over PXE. And I got the same error using stock ide virtualization.
Does anybody have an idea of what could be wrong?

hydraMax 04-03-2012 09:33 PM

I'm not a Debian user so much, but I remember I while back there was a switch in the kernel from an old IDE subsystem to a newer one layered on top of libata. IIRC, the new subsystem doesn't handle some of the older drives. I vaguely remember losing access to an old drive under Gentoo because of this. I'm guessing that sid and wheezy are using the newer kernels. Additional reading:

All times are GMT -5. The time now is 12:16 PM.